<#
	This is an example of the resource configuration file that generates both the MOF and the checksum file on the source server (DSC pull mode)
#>
Param
(
	[Parameter(Mandatory)]
	[String]$OutputPath
)

# Copy configuration file(s) from file shares
Configuration PrintHA_PrintDriverUpdaterConfig
{
	Import-DscResource -ModuleName 'PrintHA.DSC'

    cPrintDriverUpdater DriverUpdater
    {
        Ensure = 'Present'
        DriversRoot= '\\share\PrintHA\Drivers'
    }
}

PrintHA_PrintDriverUpdaterConfig -outputPath $OutputPath

New-DscChecksum -Path $OutputPath\localhost.mof -OutPath $OutputPath
del $OutputPath\PrintHA_PrintDriverUpdaterConfig.*
ren -Path $OutputPath\localhost.mof -NewName PrintHA_PrintDriverUpdaterConfig.mof -Force
ren -Path $OutputPath\localhost.mof.checksum -NewName PrintHA_PrintDriverUpdaterConfig.mof.checksum -Force