<#
	This is an example of the resource configuration file that generates both the MOF and the checksum file on the source server (DSC pull mode)
#>
Param
(
	[Parameter(Mandatory)]
	[String]$OutputPath
)

Configuration PrintHA_PrinterConfig
{
    Import-DscResource -ModuleName 'PrintHA.DSC'
    
    cPrinter HP1
    {
        Ensure='Present'
        Name = 'HP'
        IPAddress = '10.166.145.66'
        DriverName = 'HP Universal Printing PCL 6'
		FarmName = 'print1.greycorbel.com'
		ShareName = 'HP1'
		KeepWhenLeavingFarm = $false
    }
}

PrintHA_PrinterConfig -outputPath $OutputPath

New-DscChecksum -Path $OutputPath\localhost.mof -OutPath $OutputPath
del $OutputPath\PrintHA_PrinterConfig.*
ren -Path $OutputPath\localhost.mof -NewName PrintHA_PrinterConfig.mof -Force
ren -Path $OutputPath\localhost.mof.checksum -NewName PrintHA_PrinterConfig.mof.checksum -Force