<#
	This is an example of the resource configuration file that generates both the MOF and the checksum file on the source server (DSC pull mode)
#>
Param
(
	[Parameter(Mandatory)]
	[String]$OutputPath
)

Configuration PrintHA_RegistryConfig
{
    Import-DscResource -ModuleName 'PrintHA.DSC'
    
	cRegistryUpdater RegistryConfig01
	{
		RegFilePath = "\\share\sample01.reg"
		Ensure      = "Present"
	}

	cRegistryUpdater RegistryConfig02
	{
		RegFilePath = "\\share\sample02.reg"
		Ensure      = "Absent"
	}
}

PrintHA_RegistryConfig -outputPath $OutputPath

New-DscChecksum -Path $OutputPath\localhost.mof -OutPath $OutputPath
del $OutputPath\PrintHA_RegistryConfig.*
ren -Path $OutputPath\localhost.mof -NewName PrintHA_RegistryConfig.mof -Force
ren -Path $OutputPath\localhost.mof.checksum -NewName PrintHA_RegistryConfig.mof.checksum -Force